D4Science Infrastructure - Task #5008

Enable Infrastructure Gateway cluster on Production
Sep 13,2016 11:41 AM - Massimiliano Assante

Status: Closed Start date: Sep 14,2016
Priority: Urgent Due date: Sep 16, 2016
Assignee: Massimiliano Assante % Done: 100%
Category: Other Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Production

Description

infra-gateway1.d4science.org will be added to the cluster currently composed by the infra-gateway.d4science.org node only.

The Liferay instances running on both machines will be configured to sync via a multicast RMI protocol.

The 2 tomcats will NOT be configured in cluster, so that when a node fails the user is ported to the other instance and will have to
login again. In the next release the 2 tomcats will be configured in cluster and the http session will be migrated transparently (we're

not ready for this yet in gCube 4).

The whole operation should not require any interruption of the service.

Subtasks:
Task # 5022: Clustering Liferay’s Documents and Media Library in Production gateways

Closed

History

#1 - Sep 13,2016 11:44 AM - Massimiliano Assante

@andrea.dellamico@isti.cnr.it could you confirm the following:

e the network for Multicast Clustering Setting on production will be 229.0.0.0/24
¢ infra gateway and infra gateway1 node can communicate without firewall via RMI

#2 - Sep 13,2016 11:56 AM - Andrea Dell'Amico

Yes, that's correct. The firewall rules are already active.

#3 - Sep 13, 2016 04:51 PM - Massimiliano Assante
- Due date changed from Sep 14, 2016 to Sep 13, 2016
- Start date changed from Sep 14, 2016 to Sep 13, 2016

#4 - Sep 13, 2016 06:00 PM - Massimiliano Assante

- Status changed from New to In Progress

together with this activity we are going to deploy a patch for fixing the unzip problem of workspace folder on Windows
https://support.d4science.org/issues/5013

#5 - Sep 13, 2016 07:17 PM - Massimiliano Assante
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Cluster composed by infra-gateway.d4s and infra-gateway1.d4s is now fully operational.

#6 - Sep 14, 2016 02:46 PM - Massimiliano Assante
- Status changed from Closed to In Progress

- % Done changed from 100 to 90

the Liferay’s Documents and Media Library should be "clustered" as well https://support.d4science.org/issues/5022

#7 - Sep 15, 2016 02:30 PM - Massimiliano Assante
https://support.d4science.org/issues/5013
https://support.d4science.org/issues/5022

- Status changed from In Progress to Closed

#8 - Sep 19, 2016 06:59 PM - Massimiliano Assante

- Status changed from Closed to In Progress

We need Clustering Lucene Indexes on All Nodes of the cluster, as Liferay APl methods use that index for instance to get the list of users
According to the Liferay's documentation a property set should suffice, but we need server restart

Set this to true if you want the portal to replicate an index write across all members of the cluster. This is
useful in some clustered environments where you wish each server instance to have its own copy of the Lucene
search index. This is only relevant when using the default Lucene indexing engine.

Defaults:
lucene.replicate.write=false

#9 - Sep 19, 2016 07:18 PM - Massimiliano Assante

- Status changed from In Progress to Closed

it seems working, closing the ticket

17:14:57,303 INFO [liferay/search_writer/SYSTEM _ENGINE-1] [EditServerAction:997] Thread name liferay/search_wr
iter/SYSTEM_ENGINE-1 with thread ID 244 synchronized on latch. Waiting for others.

17:14:57,304 INFO [com.liferay.portlet.admin.action.EditServerAction-1] [EditServerAction:1054] Monitor thread
name com.liferay.portlet.admin.action.EditServerAction-1 with thread ID 996 unlocked latch. Notified peers to
start index loading.
